Makefile 51 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085108610871088108910901091109210931094109510961097109810991100110111021103110411051106110711081109111011111112111311141115111611171118111911201121112211231124112511261127112811291130113111321133113411351136113711381139114011411142114311441145114611471148114911501151115211531154115511561157115811591160116111621163116411651166116711681169117011711172117311741175117611771178117911801181118211831184118511861187118811891190119111921193119411951196119711981199120012011202120312041205120612071208120912101211121212131214121512161217121812191220122112221223122412251226122712281229123012311232123312341235123612371238123912401241124212431244124512461247124812491250125112521253125412551256125712581259126012611262126312641265126612671268126912701271127212731274127512761277127812791280128112821283128412851286128712881289129012911292129312941295129612971298129913001301130213031304130513061307130813091310131113121313131413151316131713181319132013211322132313241325132613271328132913301331133213331334133513361337133813391340134113421343134413451346134713481349
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_timestamp/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2009 Thorsten Kukuk <kukuk@suse.de>
  13. # Copyright (c) 2005, 2008 Red Hat, Inc.
  14. #
  15. am__is_gnu_make = { \
  16. if test -z '$(MAKELEVEL)'; then \
  17. false; \
  18. elif test -n '$(MAKE_HOST)'; then \
  19. true; \
  20. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  21. true; \
  22. else \
  23. false; \
  24. fi; \
  25. }
  26. am__make_running_with_option = \
  27. case $${target_option-} in \
  28. ?) ;; \
  29. *) echo "am__make_running_with_option: internal error: invalid" \
  30. "target option '$${target_option-}' specified" >&2; \
  31. exit 1;; \
  32. esac; \
  33. has_opt=no; \
  34. sane_makeflags=$$MAKEFLAGS; \
  35. if $(am__is_gnu_make); then \
  36. sane_makeflags=$$MFLAGS; \
  37. else \
  38. case $$MAKEFLAGS in \
  39. *\\[\ \ ]*) \
  40. bs=\\; \
  41. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  42. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  43. esac; \
  44. fi; \
  45. skip_next=no; \
  46. strip_trailopt () \
  47. { \
  48. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  49. }; \
  50. for flg in $$sane_makeflags; do \
  51. test $$skip_next = yes && { skip_next=no; continue; }; \
  52. case $$flg in \
  53. *=*|--*) continue;; \
  54. -*I) strip_trailopt 'I'; skip_next=yes;; \
  55. -*I?*) strip_trailopt 'I';; \
  56. -*O) strip_trailopt 'O'; skip_next=yes;; \
  57. -*O?*) strip_trailopt 'O';; \
  58. -*l) strip_trailopt 'l'; skip_next=yes;; \
  59. -*l?*) strip_trailopt 'l';; \
  60. -[dEDm]) skip_next=yes;; \
  61. -[JT]) skip_next=yes;; \
  62. esac; \
  63. case $$flg in \
  64. *$$target_option*) has_opt=yes; break;; \
  65. esac; \
  66. done; \
  67. test $$has_opt = yes
  68. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  69. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  70. pkgdatadir = $(datadir)/Linux-PAM
  71. pkgincludedir = $(includedir)/Linux-PAM
  72. pkglibdir = $(libdir)/Linux-PAM
  73. pkglibexecdir = $(libexecdir)/Linux-PAM
  74. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  75. install_sh_DATA = $(install_sh) -c -m 644
  76. install_sh_PROGRAM = $(install_sh) -c
  77. install_sh_SCRIPT = $(install_sh) -c
  78. INSTALL_HEADER = $(INSTALL_DATA)
  79. transform = $(program_transform_name)
  80. NORMAL_INSTALL = :
  81. PRE_INSTALL = :
  82. POST_INSTALL = :
  83. NORMAL_UNINSTALL = :
  84. PRE_UNINSTALL = :
  85. POST_UNINSTALL = :
  86. build_triplet = x86_64-pc-linux-gnu
  87. host_triplet = arm-unknown-linux-gnueabihf
  88. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  89. sbin_PROGRAMS = pam_timestamp_check$(EXEEXT)
  90. #am__append_2 = hmac_openssl_wrapper.c
  91. am__append_3 = hmacsha1.c sha1.c
  92. check_PROGRAMS = hmacfile$(EXEEXT)
  93. subdir = modules/pam_timestamp
  94. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  95. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  96. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  97. $(top_srcdir)/m4/intlmacosx.m4 \
  98. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  99. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  100. $(top_srcdir)/m4/ld-no-undefined.m4 \
  101. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  102. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  103. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  104. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  105. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  106. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  107. $(top_srcdir)/m4/progtest.m4 \
  108. $(top_srcdir)/m4/warn_lang_flags.m4 \
  109. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  110. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  111. $(ACLOCAL_M4)
  112. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  113. $(am__dist_noinst_DATA_DIST) $(noinst_HEADERS) \
  114. $(am__DIST_COMMON)
  115. mkinstalldirs = $(install_sh) -d
  116. CONFIG_HEADER = $(top_builddir)/config.h
  117. CONFIG_CLEAN_FILES =
  118. CONFIG_CLEAN_VPATH_FILES =
  119. am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(securelibdir)" \
  120. "$(DESTDIR)$(man8dir)"
  121. PROGRAMS = $(sbin_PROGRAMS)
  122. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  123. am__vpath_adj = case $$p in \
  124. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  125. *) f=$$p;; \
  126. esac;
  127. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  128. am__install_max = 40
  129. am__nobase_strip_setup = \
  130. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  131. am__nobase_strip = \
  132. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  133. am__nobase_list = $(am__nobase_strip_setup); \
  134. for p in $$list; do echo "$$p $$p"; done | \
  135. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  136. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  137. if (++n[$$2] == $(am__install_max)) \
  138. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  139. END { for (dir in files) print dir, files[dir] }'
  140. am__base_list = \
  141. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  142. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  143. am__uninstall_files_from_dir = { \
  144. test -z "$$files" \
  145. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  146. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  147. $(am__cd) "$$dir" && rm -f $$files; }; \
  148. }
  149. LTLIBRARIES = $(securelib_LTLIBRARIES)
  150. pam_timestamp_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  151. am__pam_timestamp_la_SOURCES_DIST = pam_timestamp.c \
  152. hmac_openssl_wrapper.c hmacsha1.c sha1.c
  153. #am__objects_1 = pam_timestamp_la-hmac_openssl_wrapper.lo
  154. am__objects_2 = pam_timestamp_la-hmacsha1.lo \
  155. pam_timestamp_la-sha1.lo
  156. am_pam_timestamp_la_OBJECTS = pam_timestamp_la-pam_timestamp.lo \
  157. $(am__objects_1) $(am__objects_2)
  158. pam_timestamp_la_OBJECTS = $(am_pam_timestamp_la_OBJECTS)
  159. AM_V_lt = $(am__v_lt_$(V))
  160. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  161. am__v_lt_0 = --silent
  162. am__v_lt_1 =
  163. pam_timestamp_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
  164. $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
  165. $(pam_timestamp_la_CFLAGS) $(CFLAGS) \
  166. $(pam_timestamp_la_LDFLAGS) $(LDFLAGS) -o $@
  167. am__hmacfile_SOURCES_DIST = hmacfile.c hmacsha1.c sha1.c \
  168. hmac_openssl_wrapper.c
  169. am_hmacfile_OBJECTS = hmacfile.$(OBJEXT) \
  170. hmacsha1.$(OBJEXT) sha1.$(OBJEXT)
  171. #am_hmacfile_OBJECTS = \
  172. # hmac_openssl_wrapper.$(OBJEXT)
  173. hmacfile_OBJECTS = $(am_hmacfile_OBJECTS)
  174. hmacfile_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  175. am_pam_timestamp_check_OBJECTS = \
  176. pam_timestamp_check-pam_timestamp_check.$(OBJEXT)
  177. pam_timestamp_check_OBJECTS = $(am_pam_timestamp_check_OBJECTS)
  178. pam_timestamp_check_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  179. pam_timestamp_check_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
  180. $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
  181. $(pam_timestamp_check_CFLAGS) $(CFLAGS) \
  182. $(pam_timestamp_check_LDFLAGS) $(LDFLAGS) -o $@
  183. AM_V_P = $(am__v_P_$(V))
  184. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  185. am__v_P_0 = false
  186. am__v_P_1 = :
  187. AM_V_GEN = $(am__v_GEN_$(V))
  188. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  189. am__v_GEN_0 = @echo " GEN " $@;
  190. am__v_GEN_1 =
  191. AM_V_at = $(am__v_at_$(V))
  192. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  193. am__v_at_0 = @
  194. am__v_at_1 =
  195. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  196. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  197. am__maybe_remake_depfiles = depfiles
  198. am__depfiles_remade = ./$(DEPDIR)/hmac_openssl_wrapper.Po \
  199. ./$(DEPDIR)/hmacfile.Po ./$(DEPDIR)/hmacsha1.Po \
  200. ./$(DEPDIR)/pam_timestamp_check-pam_timestamp_check.Po \
  201. ./$(DEPDIR)/pam_timestamp_la-hmac_openssl_wrapper.Plo \
  202. ./$(DEPDIR)/pam_timestamp_la-hmacsha1.Plo \
  203. ./$(DEPDIR)/pam_timestamp_la-pam_timestamp.Plo \
  204. ./$(DEPDIR)/pam_timestamp_la-sha1.Plo ./$(DEPDIR)/sha1.Po
  205. am__mv = mv -f
  206. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  207. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  208. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  209. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  210. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  211. $(AM_CFLAGS) $(CFLAGS)
  212. AM_V_CC = $(am__v_CC_$(V))
  213. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  214. am__v_CC_0 = @echo " CC " $@;
  215. am__v_CC_1 =
  216. CCLD = $(CC)
  217. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  218. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  219. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  220. AM_V_CCLD = $(am__v_CCLD_$(V))
  221. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  222. am__v_CCLD_0 = @echo " CCLD " $@;
  223. am__v_CCLD_1 =
  224. SOURCES = $(pam_timestamp_la_SOURCES) $(hmacfile_SOURCES) \
  225. $(pam_timestamp_check_SOURCES)
  226. DIST_SOURCES = $(am__pam_timestamp_la_SOURCES_DIST) \
  227. $(am__hmacfile_SOURCES_DIST) $(pam_timestamp_check_SOURCES)
  228. am__can_run_installinfo = \
  229. case $$AM_UPDATE_INFO_DIR in \
  230. n|no|NO) false;; \
  231. *) (install-info --version) >/dev/null 2>&1;; \
  232. esac
  233. man8dir = $(mandir)/man8
  234. NROFF = nroff
  235. MANS = $(dist_man_MANS)
  236. am__dist_noinst_DATA_DIST = README
  237. DATA = $(dist_noinst_DATA)
  238. HEADERS = $(noinst_HEADERS)
  239. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  240. # Read a list of newline-separated strings from the standard input,
  241. # and print each of them once, without duplicates. Input order is
  242. # *not* preserved.
  243. am__uniquify_input = $(AWK) '\
  244. BEGIN { nonempty = 0; } \
  245. { items[$$0] = 1; nonempty = 1; } \
  246. END { if (nonempty) { for (i in items) print i; }; } \
  247. '
  248. # Make sure the list of sources is unique. This is necessary because,
  249. # e.g., the same source file might be shared among _SOURCES variables
  250. # for different programs/libraries.
  251. am__define_uniq_tagged_files = \
  252. list='$(am__tagged_files)'; \
  253. unique=`for i in $$list; do \
  254. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  255. done | $(am__uniquify_input)`
  256. ETAGS = etags
  257. CTAGS = ctags
  258. am__tty_colors_dummy = \
  259. mgn= red= grn= lgn= blu= brg= std=; \
  260. am__color_tests=no
  261. am__tty_colors = { \
  262. $(am__tty_colors_dummy); \
  263. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  264. am__color_tests=no; \
  265. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  266. am__color_tests=yes; \
  267. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  268. am__color_tests=yes; \
  269. fi; \
  270. if test $$am__color_tests = yes; then \
  271. red=''; \
  272. grn=''; \
  273. lgn=''; \
  274. blu=''; \
  275. mgn=''; \
  276. brg=''; \
  277. std=''; \
  278. fi; \
  279. }
  280. am__recheck_rx = ^[ ]*:recheck:[ ]*
  281. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  282. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  283. # A command that, given a newline-separated list of test names on the
  284. # standard input, print the name of the tests that are to be re-run
  285. # upon "make recheck".
  286. am__list_recheck_tests = $(AWK) '{ \
  287. recheck = 1; \
  288. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  289. { \
  290. if (rc < 0) \
  291. { \
  292. if ((getline line2 < ($$0 ".log")) < 0) \
  293. recheck = 0; \
  294. break; \
  295. } \
  296. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  297. { \
  298. recheck = 0; \
  299. break; \
  300. } \
  301. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  302. { \
  303. break; \
  304. } \
  305. }; \
  306. if (recheck) \
  307. print $$0; \
  308. close ($$0 ".trs"); \
  309. close ($$0 ".log"); \
  310. }'
  311. # A command that, given a newline-separated list of test names on the
  312. # standard input, create the global log from their .trs and .log files.
  313. am__create_global_log = $(AWK) ' \
  314. function fatal(msg) \
  315. { \
  316. print "fatal: making $@: " msg | "cat >&2"; \
  317. exit 1; \
  318. } \
  319. function rst_section(header) \
  320. { \
  321. print header; \
  322. len = length(header); \
  323. for (i = 1; i <= len; i = i + 1) \
  324. printf "="; \
  325. printf "\n\n"; \
  326. } \
  327. { \
  328. copy_in_global_log = 1; \
  329. global_test_result = "RUN"; \
  330. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  331. { \
  332. if (rc < 0) \
  333. fatal("failed to read from " $$0 ".trs"); \
  334. if (line ~ /$(am__global_test_result_rx)/) \
  335. { \
  336. sub("$(am__global_test_result_rx)", "", line); \
  337. sub("[ ]*$$", "", line); \
  338. global_test_result = line; \
  339. } \
  340. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  341. copy_in_global_log = 0; \
  342. }; \
  343. if (copy_in_global_log) \
  344. { \
  345. rst_section(global_test_result ": " $$0); \
  346. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  347. { \
  348. if (rc < 0) \
  349. fatal("failed to read from " $$0 ".log"); \
  350. print line; \
  351. }; \
  352. printf "\n"; \
  353. }; \
  354. close ($$0 ".trs"); \
  355. close ($$0 ".log"); \
  356. }'
  357. # Restructured Text title.
  358. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  359. # Solaris 10 'make', and several other traditional 'make' implementations,
  360. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  361. # by disabling -e (using the XSI extension "set +e") if it's set.
  362. am__sh_e_setup = case $$- in *e*) set +e;; esac
  363. # Default flags passed to test drivers.
  364. am__common_driver_flags = \
  365. --color-tests "$$am__color_tests" \
  366. --enable-hard-errors "$$am__enable_hard_errors" \
  367. --expect-failure "$$am__expect_failure"
  368. # To be inserted before the command running the test. Creates the
  369. # directory for the log if needed. Stores in $dir the directory
  370. # containing $f, in $tst the test, in $log the log. Executes the
  371. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  372. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  373. # will run the test scripts (or their associated LOG_COMPILER, if
  374. # thy have one).
  375. am__check_pre = \
  376. $(am__sh_e_setup); \
  377. $(am__vpath_adj_setup) $(am__vpath_adj) \
  378. $(am__tty_colors); \
  379. srcdir=$(srcdir); export srcdir; \
  380. case "$@" in \
  381. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  382. *) am__odir=.;; \
  383. esac; \
  384. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  385. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  386. if test -f "./$$f"; then dir=./; \
  387. elif test -f "$$f"; then dir=; \
  388. else dir="$(srcdir)/"; fi; \
  389. tst=$$dir$$f; log='$@'; \
  390. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  391. am__enable_hard_errors=no; \
  392. else \
  393. am__enable_hard_errors=yes; \
  394. fi; \
  395. case " $(XFAIL_TESTS) " in \
  396. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  397. am__expect_failure=yes;; \
  398. *) \
  399. am__expect_failure=no;; \
  400. esac; \
  401. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  402. # A shell command to get the names of the tests scripts with any registered
  403. # extension removed (i.e., equivalently, the names of the test logs, with
  404. # the '.log' extension removed). The result is saved in the shell variable
  405. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  406. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  407. # since that might cause problem with VPATH rewrites for suffix-less tests.
  408. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  409. am__set_TESTS_bases = \
  410. bases='$(TEST_LOGS)'; \
  411. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  412. bases=`echo $$bases`
  413. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  414. RECHECK_LOGS = $(TEST_LOGS)
  415. AM_RECURSIVE_TARGETS = check recheck
  416. TEST_SUITE_LOG = test-suite.log
  417. TEST_EXTENSIONS = .test
  418. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  419. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  420. am__set_b = \
  421. case '$@' in \
  422. */*) \
  423. case '$*' in \
  424. */*) b='$*';; \
  425. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  426. esac;; \
  427. *) \
  428. b='$*';; \
  429. esac
  430. am__test_logs1 = $(TESTS:=.log)
  431. am__test_logs2 = $(am__test_logs1:.log=.log)
  432. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  433. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  434. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  435. $(TEST_LOG_FLAGS)
  436. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  437. $(top_srcdir)/build-aux/depcomp \
  438. $(top_srcdir)/build-aux/test-driver
  439. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  440. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  441. AMTAR = $${TAR-tar}
  442. AM_DEFAULT_VERBOSITY = 1
  443. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  444. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  445. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  446. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  447. AWK = gawk
  448. BROWSER =
  449. BUILD_CFLAGS =
  450. BUILD_CPPFLAGS =
  451. BUILD_LDFLAGS =
  452. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  453. CCDEPMODE = depmode=gcc3
  454. CC_FOR_BUILD = gcc
  455. CFLAGS = -g -O2
  456. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  457. CPPFLAGS =
  458. CRYPTO_LIBS =
  459. CRYPT_CFLAGS =
  460. CRYPT_LIBS = -lcrypt
  461. CYGPATH_W = echo
  462. DEFS = -DHAVE_CONFIG_H
  463. DEPDIR = .deps
  464. DLLTOOL = false
  465. DSYMUTIL =
  466. DUMPBIN = :
  467. ECHO_C =
  468. ECHO_N = -n
  469. ECHO_T =
  470. ECONF_CFLAGS =
  471. ECONF_LIBS =
  472. EGREP = /bin/grep -E
  473. EXEEXT =
  474. EXE_CFLAGS = -fpie
  475. EXE_LDFLAGS = -pie -Wl,-z,now
  476. FGREP = /bin/grep -F
  477. FO2PDF =
  478. GETTEXT_MACRO_VERSION = 0.18
  479. GMSGFMT = /usr/bin/msgfmt
  480. GMSGFMT_015 = /usr/bin/msgfmt
  481. GREP = /bin/grep
  482. INSTALL = /usr/bin/install -c
  483. INSTALL_DATA = ${INSTALL} -m 644
  484. INSTALL_PROGRAM = ${INSTALL}
  485. INSTALL_SCRIPT = ${INSTALL}
  486. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  487. INTLLIBS =
  488. INTL_MACOSX_LIBS =
  489. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  490. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  491. LEX = flex
  492. LEXLIB = -lfl
  493. LEX_OUTPUT_ROOT = lex.yy
  494. LIBAUDIT =
  495. LIBCRYPT = -lcrypt
  496. LIBDB =
  497. LIBDL = -ldl
  498. LIBICONV = -liconv
  499. LIBINTL =
  500. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  501. LIBPRELUDE_CFLAGS =
  502. LIBPRELUDE_CONFIG = no
  503. LIBPRELUDE_CONFIG_PREFIX =
  504. LIBPRELUDE_LDFLAGS =
  505. LIBPRELUDE_LIBS =
  506. LIBPRELUDE_PREFIX =
  507. LIBPRELUDE_PTHREAD_CFLAGS =
  508. LIBS =
  509. LIBSELINUX =
  510. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  511. LIPO =
  512. LN_S = ln -s
  513. LTLIBICONV = -liconv
  514. LTLIBINTL =
  515. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  516. LT_SYS_LIBRARY_PATH =
  517. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  518. MANIFEST_TOOL = :
  519. MKDIR_P = /bin/mkdir -p
  520. MSGFMT = /usr/bin/msgfmt
  521. MSGFMT_015 = /usr/bin/msgfmt
  522. MSGMERGE = /usr/bin/msgmerge
  523. NIS_CFLAGS =
  524. NIS_LIBS =
  525. NM = nm
  526. NMEDIT =
  527. NSL_CFLAGS =
  528. NSL_LIBS = -lnsl
  529. OBJDUMP = objdump
  530. OBJEXT = o
  531. OTOOL =
  532. OTOOL64 =
  533. PACKAGE = Linux-PAM
  534. PACKAGE_BUGREPORT =
  535. PACKAGE_NAME = Linux-PAM
  536. PACKAGE_STRING = Linux-PAM 1.5.2
  537. PACKAGE_TARNAME = Linux-PAM
  538. PACKAGE_URL =
  539. PACKAGE_VERSION = 1.5.2
  540. PATH_SEPARATOR = :
  541. PKG_CONFIG = /usr/bin/pkg-config
  542. PKG_CONFIG_LIBDIR =
  543. PKG_CONFIG_PATH =
  544. POSUB = po
  545. RANLIB = ranlib
  546. SCONFIGDIR = ${prefix}/etc/security
  547. SECUREDIR = ${exec_prefix}/lib/security
  548. SED = /bin/sed
  549. SET_MAKE =
  550. SHELL = /bin/bash
  551. STRINGPARAM_HMAC =
  552. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  553. STRIP = strip
  554. TIRPC_CFLAGS =
  555. TIRPC_LIBS =
  556. USE_NLS = yes
  557. VERSION = 1.5.2
  558. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  559. XGETTEXT = /usr/bin/xgettext
  560. XGETTEXT_015 = /usr/bin/xgettext
  561. XGETTEXT_EXTRA_OPTIONS =
  562. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  563. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  564. XML_CATALOG_FILE = /etc/xml/catalog
  565. XSLTPROC = /usr/bin/xsltproc
  566. YACC = bison -y
  567. YFLAGS =
  568. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_timestamp
  569. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_timestamp
  570. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  571. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  572. ac_ct_AR =
  573. ac_ct_CC =
  574. ac_ct_DUMPBIN = link -dump
  575. am__include = include
  576. am__leading_dot = .
  577. am__quote =
  578. am__tar = $${TAR-tar} chof - "$$tardir"
  579. am__untar = $${TAR-tar} xf -
  580. bindir = ${exec_prefix}/bin
  581. build = x86_64-pc-linux-gnu
  582. build_alias =
  583. build_cpu = x86_64
  584. build_os = linux-gnu
  585. build_vendor = pc
  586. builddir = .
  587. datadir = ${datarootdir}
  588. datarootdir = ${prefix}/share
  589. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  590. dvidir = ${docdir}
  591. exec_prefix = ${prefix}
  592. host = arm-unknown-linux-gnueabihf
  593. host_alias = arm-linux-gnueabihf
  594. host_cpu = arm
  595. host_os = linux-gnueabihf
  596. host_vendor = unknown
  597. htmldir = ${docdir}
  598. includedir = ${prefix}/include
  599. infodir = ${datarootdir}/info
  600. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  601. libdir = ${exec_prefix}/lib
  602. libexecdir = ${exec_prefix}/libexec
  603. localedir = ${datarootdir}/locale
  604. localstatedir = ${prefix}/var
  605. mandir = ${datarootdir}/man
  606. mkdir_p = $(MKDIR_P)
  607. oldincludedir = /usr/include
  608. pam_xauth_path = /usr/bin/xauth
  609. pdfdir = ${docdir}
  610. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  611. program_transform_name = s,x,x,
  612. psdir = ${docdir}
  613. sbindir = ${exec_prefix}/sbin
  614. sharedstatedir = ${prefix}/com
  615. srcdir = .
  616. sysconfdir = ${prefix}/etc
  617. systemdunitdir =
  618. target_alias =
  619. top_build_prefix = ../../
  620. top_builddir = ../..
  621. top_srcdir = ../..
  622. CLEANFILES = *~
  623. MAINTAINERCLEANFILES = $(MANS) README
  624. EXTRA_DIST = $(XMLS)
  625. #dist_man_MANS = pam_timestamp.8 pam_timestamp_check.8
  626. XMLS = README.xml pam_timestamp.8.xml pam_timestamp_check.8.xml
  627. dist_check_SCRIPTS = tst-pam_timestamp
  628. TESTS = $(dist_check_SCRIPTS) $(check_PROGRAMS)
  629. securelibdir = $(SECUREDIR)
  630. secureconfdir = $(SCONFIGDIR)
  631. noinst_HEADERS = hmacsha1.h sha1.h hmac_openssl_wrapper.h
  632. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  633. $(WARN_CFLAGS)
  634. pam_timestamp_la_LDFLAGS = -no-undefined -avoid-version -module \
  635. $(AM_LDFLAGS) $(CRYPTO_LIBS) $(am__append_1)
  636. pam_timestamp_la_LIBADD = $(top_builddir)/libpam/libpam.la
  637. securelib_LTLIBRARIES = pam_timestamp.la
  638. pam_timestamp_la_SOURCES = pam_timestamp.c $(am__append_2) \
  639. $(am__append_3)
  640. pam_timestamp_la_CFLAGS = $(AM_CFLAGS)
  641. pam_timestamp_check_SOURCES = pam_timestamp_check.c
  642. pam_timestamp_check_CFLAGS = $(AM_CFLAGS) -fpie
  643. pam_timestamp_check_LDADD = $(top_builddir)/libpam/libpam.la
  644. pam_timestamp_check_LDFLAGS = -pie -Wl,-z,now
  645. hmacfile_SOURCES = hmacfile.c hmacsha1.c sha1.c
  646. #hmacfile_SOURCES = hmac_openssl_wrapper.c
  647. hmacfile_LDADD = $(top_builddir)/libpam/libpam.la
  648. #dist_noinst_DATA = README
  649. all: all-am
  650. .SUFFIXES:
  651. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  652. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  653. @for dep in $?; do \
  654. case '$(am__configure_deps)' in \
  655. *$$dep*) \
  656. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  657. && { if test -f $@; then exit 0; else break; fi; }; \
  658. exit 1;; \
  659. esac; \
  660. done; \
  661. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_timestamp/Makefile'; \
  662. $(am__cd) $(top_srcdir) && \
  663. $(AUTOMAKE) --gnu modules/pam_timestamp/Makefile
  664. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  665. @case '$?' in \
  666. *config.status*) \
  667. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  668. *) \
  669. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  670. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  671. esac;
  672. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  673. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  674. $(top_srcdir)/configure: $(am__configure_deps)
  675. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  676. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  677. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  678. $(am__aclocal_m4_deps):
  679. clean-checkPROGRAMS:
  680. @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  681. echo " rm -f" $$list; \
  682. rm -f $$list || exit $$?; \
  683. test -n "$(EXEEXT)" || exit 0; \
  684. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  685. echo " rm -f" $$list; \
  686. rm -f $$list
  687. install-sbinPROGRAMS: $(sbin_PROGRAMS)
  688. @$(NORMAL_INSTALL)
  689. @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  690. if test -n "$$list"; then \
  691. echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
  692. $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
  693. fi; \
  694. for p in $$list; do echo "$$p $$p"; done | \
  695. sed 's/$(EXEEXT)$$//' | \
  696. while read p p1; do if test -f $$p \
  697. || test -f $$p1 \
  698. ; then echo "$$p"; echo "$$p"; else :; fi; \
  699. done | \
  700. sed -e 'p;s,.*/,,;n;h' \
  701. -e 's|.*|.|' \
  702. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  703. sed 'N;N;N;s,\n, ,g' | \
  704. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  705. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  706. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  707. else { print "f", $$3 "/" $$4, $$1; } } \
  708. END { for (d in files) print "f", d, files[d] }' | \
  709. while read type dir files; do \
  710. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  711. test -z "$$files" || { \
  712. echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
  713. $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
  714. } \
  715. ; done
  716. uninstall-sbinPROGRAMS:
  717. @$(NORMAL_UNINSTALL)
  718. @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  719. files=`for p in $$list; do echo "$$p"; done | \
  720. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  721. -e 's/$$/$(EXEEXT)/' \
  722. `; \
  723. test -n "$$list" || exit 0; \
  724. echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
  725. cd "$(DESTDIR)$(sbindir)" && rm -f $$files
  726. clean-sbinPROGRAMS:
  727. @list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
  728. echo " rm -f" $$list; \
  729. rm -f $$list || exit $$?; \
  730. test -n "$(EXEEXT)" || exit 0; \
  731. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  732. echo " rm -f" $$list; \
  733. rm -f $$list
  734. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  735. @$(NORMAL_INSTALL)
  736. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  737. list2=; for p in $$list; do \
  738. if test -f $$p; then \
  739. list2="$$list2 $$p"; \
  740. else :; fi; \
  741. done; \
  742. test -z "$$list2" || { \
  743. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  744. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  745. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  746. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  747. }
  748. uninstall-securelibLTLIBRARIES:
  749. @$(NORMAL_UNINSTALL)
  750. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  751. for p in $$list; do \
  752. $(am__strip_dir) \
  753. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  754. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  755. done
  756. clean-securelibLTLIBRARIES:
  757. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  758. @list='$(securelib_LTLIBRARIES)'; \
  759. locs=`for p in $$list; do echo $$p; done | \
  760. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  761. sort -u`; \
  762. test -z "$$locs" || { \
  763. echo rm -f $${locs}; \
  764. rm -f $${locs}; \
  765. }
  766. pam_timestamp.la: $(pam_timestamp_la_OBJECTS) $(pam_timestamp_la_DEPENDENCIES) $(EXTRA_pam_timestamp_la_DEPENDENCIES)
  767. $(AM_V_CCLD)$(pam_timestamp_la_LINK) -rpath $(securelibdir) $(pam_timestamp_la_OBJECTS) $(pam_timestamp_la_LIBADD) $(LIBS)
  768. hmacfile$(EXEEXT): $(hmacfile_OBJECTS) $(hmacfile_DEPENDENCIES) $(EXTRA_hmacfile_DEPENDENCIES)
  769. @rm -f hmacfile$(EXEEXT)
  770. $(AM_V_CCLD)$(LINK) $(hmacfile_OBJECTS) $(hmacfile_LDADD) $(LIBS)
  771. pam_timestamp_check$(EXEEXT): $(pam_timestamp_check_OBJECTS) $(pam_timestamp_check_DEPENDENCIES) $(EXTRA_pam_timestamp_check_DEPENDENCIES)
  772. @rm -f pam_timestamp_check$(EXEEXT)
  773. $(AM_V_CCLD)$(pam_timestamp_check_LINK) $(pam_timestamp_check_OBJECTS) $(pam_timestamp_check_LDADD) $(LIBS)
  774. mostlyclean-compile:
  775. -rm -f *.$(OBJEXT)
  776. distclean-compile:
  777. -rm -f *.tab.c
  778. include ./$(DEPDIR)/hmac_openssl_wrapper.Po # am--include-marker
  779. include ./$(DEPDIR)/hmacfile.Po # am--include-marker
  780. include ./$(DEPDIR)/hmacsha1.Po # am--include-marker
  781. include ./$(DEPDIR)/pam_timestamp_check-pam_timestamp_check.Po # am--include-marker
  782. include ./$(DEPDIR)/pam_timestamp_la-hmac_openssl_wrapper.Plo # am--include-marker
  783. include ./$(DEPDIR)/pam_timestamp_la-hmacsha1.Plo # am--include-marker
  784. include ./$(DEPDIR)/pam_timestamp_la-pam_timestamp.Plo # am--include-marker
  785. include ./$(DEPDIR)/pam_timestamp_la-sha1.Plo # am--include-marker
  786. include ./$(DEPDIR)/sha1.Po # am--include-marker
  787. $(am__depfiles_remade):
  788. @$(MKDIR_P) $(@D)
  789. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  790. am--depfiles: $(am__depfiles_remade)
  791. .c.o:
  792. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  793. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  794. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  795. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  796. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  797. .c.obj:
  798. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  799. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  800. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  801. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  802. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  803. .c.lo:
  804. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  805. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  806. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  807. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  808. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  809. pam_timestamp_la-pam_timestamp.lo: pam_timestamp.c
  810. $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_la_CFLAGS) $(CFLAGS) -MT pam_timestamp_la-pam_timestamp.lo -MD -MP -MF $(DEPDIR)/pam_timestamp_la-pam_timestamp.Tpo -c -o pam_timestamp_la-pam_timestamp.lo `test -f 'pam_timestamp.c' || echo '$(srcdir)/'`pam_timestamp.c
  811. $(AM_V_at)$(am__mv) $(DEPDIR)/pam_timestamp_la-pam_timestamp.Tpo $(DEPDIR)/pam_timestamp_la-pam_timestamp.Plo
  812. # $(AM_V_CC)source='pam_timestamp.c' object='pam_timestamp_la-pam_timestamp.lo' libtool=yes \
  813. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  814. # $(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_la_CFLAGS) $(CFLAGS) -c -o pam_timestamp_la-pam_timestamp.lo `test -f 'pam_timestamp.c' || echo '$(srcdir)/'`pam_timestamp.c
  815. pam_timestamp_la-hmac_openssl_wrapper.lo: hmac_openssl_wrapper.c
  816. $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_la_CFLAGS) $(CFLAGS) -MT pam_timestamp_la-hmac_openssl_wrapper.lo -MD -MP -MF $(DEPDIR)/pam_timestamp_la-hmac_openssl_wrapper.Tpo -c -o pam_timestamp_la-hmac_openssl_wrapper.lo `test -f 'hmac_openssl_wrapper.c' || echo '$(srcdir)/'`hmac_openssl_wrapper.c
  817. $(AM_V_at)$(am__mv) $(DEPDIR)/pam_timestamp_la-hmac_openssl_wrapper.Tpo $(DEPDIR)/pam_timestamp_la-hmac_openssl_wrapper.Plo
  818. # $(AM_V_CC)source='hmac_openssl_wrapper.c' object='pam_timestamp_la-hmac_openssl_wrapper.lo' libtool=yes \
  819. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  820. # $(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_la_CFLAGS) $(CFLAGS) -c -o pam_timestamp_la-hmac_openssl_wrapper.lo `test -f 'hmac_openssl_wrapper.c' || echo '$(srcdir)/'`hmac_openssl_wrapper.c
  821. pam_timestamp_la-hmacsha1.lo: hmacsha1.c
  822. $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_la_CFLAGS) $(CFLAGS) -MT pam_timestamp_la-hmacsha1.lo -MD -MP -MF $(DEPDIR)/pam_timestamp_la-hmacsha1.Tpo -c -o pam_timestamp_la-hmacsha1.lo `test -f 'hmacsha1.c' || echo '$(srcdir)/'`hmacsha1.c
  823. $(AM_V_at)$(am__mv) $(DEPDIR)/pam_timestamp_la-hmacsha1.Tpo $(DEPDIR)/pam_timestamp_la-hmacsha1.Plo
  824. # $(AM_V_CC)source='hmacsha1.c' object='pam_timestamp_la-hmacsha1.lo' libtool=yes \
  825. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  826. # $(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_la_CFLAGS) $(CFLAGS) -c -o pam_timestamp_la-hmacsha1.lo `test -f 'hmacsha1.c' || echo '$(srcdir)/'`hmacsha1.c
  827. pam_timestamp_la-sha1.lo: sha1.c
  828. $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_la_CFLAGS) $(CFLAGS) -MT pam_timestamp_la-sha1.lo -MD -MP -MF $(DEPDIR)/pam_timestamp_la-sha1.Tpo -c -o pam_timestamp_la-sha1.lo `test -f 'sha1.c' || echo '$(srcdir)/'`sha1.c
  829. $(AM_V_at)$(am__mv) $(DEPDIR)/pam_timestamp_la-sha1.Tpo $(DEPDIR)/pam_timestamp_la-sha1.Plo
  830. # $(AM_V_CC)source='sha1.c' object='pam_timestamp_la-sha1.lo' libtool=yes \
  831. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  832. # $(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_la_CFLAGS) $(CFLAGS) -c -o pam_timestamp_la-sha1.lo `test -f 'sha1.c' || echo '$(srcdir)/'`sha1.c
  833. pam_timestamp_check-pam_timestamp_check.o: pam_timestamp_check.c
  834. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_check_CFLAGS) $(CFLAGS) -MT pam_timestamp_check-pam_timestamp_check.o -MD -MP -MF $(DEPDIR)/pam_timestamp_check-pam_timestamp_check.Tpo -c -o pam_timestamp_check-pam_timestamp_check.o `test -f 'pam_timestamp_check.c' || echo '$(srcdir)/'`pam_timestamp_check.c
  835. $(AM_V_at)$(am__mv) $(DEPDIR)/pam_timestamp_check-pam_timestamp_check.Tpo $(DEPDIR)/pam_timestamp_check-pam_timestamp_check.Po
  836. # $(AM_V_CC)source='pam_timestamp_check.c' object='pam_timestamp_check-pam_timestamp_check.o' libtool=no \
  837. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  838. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_check_CFLAGS) $(CFLAGS) -c -o pam_timestamp_check-pam_timestamp_check.o `test -f 'pam_timestamp_check.c' || echo '$(srcdir)/'`pam_timestamp_check.c
  839. pam_timestamp_check-pam_timestamp_check.obj: pam_timestamp_check.c
  840. $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_check_CFLAGS) $(CFLAGS) -MT pam_timestamp_check-pam_timestamp_check.obj -MD -MP -MF $(DEPDIR)/pam_timestamp_check-pam_timestamp_check.Tpo -c -o pam_timestamp_check-pam_timestamp_check.obj `if test -f 'pam_timestamp_check.c'; then $(CYGPATH_W) 'pam_timestamp_check.c'; else $(CYGPATH_W) '$(srcdir)/pam_timestamp_check.c'; fi`
  841. $(AM_V_at)$(am__mv) $(DEPDIR)/pam_timestamp_check-pam_timestamp_check.Tpo $(DEPDIR)/pam_timestamp_check-pam_timestamp_check.Po
  842. # $(AM_V_CC)source='pam_timestamp_check.c' object='pam_timestamp_check-pam_timestamp_check.obj' libtool=no \
  843. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  844. # $(AM_V_CC_no)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(pam_timestamp_check_CFLAGS) $(CFLAGS) -c -o pam_timestamp_check-pam_timestamp_check.obj `if test -f 'pam_timestamp_check.c'; then $(CYGPATH_W) 'pam_timestamp_check.c'; else $(CYGPATH_W) '$(srcdir)/pam_timestamp_check.c'; fi`
  845. mostlyclean-libtool:
  846. -rm -f *.lo
  847. clean-libtool:
  848. -rm -rf .libs _libs
  849. install-man8: $(dist_man_MANS)
  850. @$(NORMAL_INSTALL)
  851. @list1=''; \
  852. list2='$(dist_man_MANS)'; \
  853. test -n "$(man8dir)" \
  854. && test -n "`echo $$list1$$list2`" \
  855. || exit 0; \
  856. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  857. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  858. { for i in $$list1; do echo "$$i"; done; \
  859. if test -n "$$list2"; then \
  860. for i in $$list2; do echo "$$i"; done \
  861. | sed -n '/\.8[a-z]*$$/p'; \
  862. fi; \
  863. } | while read p; do \
  864. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  865. echo "$$d$$p"; echo "$$p"; \
  866. done | \
  867. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  868. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  869. sed 'N;N;s,\n, ,g' | { \
  870. list=; while read file base inst; do \
  871. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  872. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  873. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  874. fi; \
  875. done; \
  876. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  877. while read files; do \
  878. test -z "$$files" || { \
  879. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  880. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  881. done; }
  882. uninstall-man8:
  883. @$(NORMAL_UNINSTALL)
  884. @list=''; test -n "$(man8dir)" || exit 0; \
  885. files=`{ for i in $$list; do echo "$$i"; done; \
  886. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  887. sed -n '/\.8[a-z]*$$/p'; \
  888. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  889. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  890. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  891. ID: $(am__tagged_files)
  892. $(am__define_uniq_tagged_files); mkid -fID $$unique
  893. tags: tags-am
  894. TAGS: tags
  895. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  896. set x; \
  897. here=`pwd`; \
  898. $(am__define_uniq_tagged_files); \
  899. shift; \
  900. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  901. test -n "$$unique" || unique=$$empty_fix; \
  902. if test $$# -gt 0; then \
  903. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  904. "$$@" $$unique; \
  905. else \
  906. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  907. $$unique; \
  908. fi; \
  909. fi
  910. ctags: ctags-am
  911. CTAGS: ctags
  912. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  913. $(am__define_uniq_tagged_files); \
  914. test -z "$(CTAGS_ARGS)$$unique" \
  915. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  916. $$unique
  917. GTAGS:
  918. here=`$(am__cd) $(top_builddir) && pwd` \
  919. && $(am__cd) $(top_srcdir) \
  920. && gtags -i $(GTAGS_ARGS) "$$here"
  921. cscopelist: cscopelist-am
  922. cscopelist-am: $(am__tagged_files)
  923. list='$(am__tagged_files)'; \
  924. case "$(srcdir)" in \
  925. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  926. *) sdir=$(subdir)/$(srcdir) ;; \
  927. esac; \
  928. for i in $$list; do \
  929. if test -f "$$i"; then \
  930. echo "$(subdir)/$$i"; \
  931. else \
  932. echo "$$sdir/$$i"; \
  933. fi; \
  934. done >> $(top_builddir)/cscope.files
  935. distclean-tags:
  936. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  937. # Recover from deleted '.trs' file; this should ensure that
  938. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  939. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  940. # to avoid problems with "make -n".
  941. .log.trs:
  942. rm -f $< $@
  943. $(MAKE) $(AM_MAKEFLAGS) $<
  944. # Leading 'am--fnord' is there to ensure the list of targets does not
  945. # expand to empty, as could happen e.g. with make check TESTS=''.
  946. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  947. am--force-recheck:
  948. @:
  949. $(TEST_SUITE_LOG): $(TEST_LOGS)
  950. @$(am__set_TESTS_bases); \
  951. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  952. redo_bases=`for i in $$bases; do \
  953. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  954. done`; \
  955. if test -n "$$redo_bases"; then \
  956. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  957. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  958. if $(am__make_dryrun); then :; else \
  959. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  960. fi; \
  961. fi; \
  962. if test -n "$$am__remaking_logs"; then \
  963. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  964. "recursion detected" >&2; \
  965. elif test -n "$$redo_logs"; then \
  966. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  967. fi; \
  968. if $(am__make_dryrun); then :; else \
  969. st=0; \
  970. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  971. for i in $$redo_bases; do \
  972. test -f $$i.trs && test -r $$i.trs \
  973. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  974. test -f $$i.log && test -r $$i.log \
  975. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  976. done; \
  977. test $$st -eq 0 || exit 1; \
  978. fi
  979. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  980. ws='[ ]'; \
  981. results=`for b in $$bases; do echo $$b.trs; done`; \
  982. test -n "$$results" || results=/dev/null; \
  983. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  984. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  985. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  986. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  987. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  988. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  989. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  990. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  991. success=true; \
  992. else \
  993. success=false; \
  994. fi; \
  995. br='==================='; br=$$br$$br$$br$$br; \
  996. result_count () \
  997. { \
  998. if test x"$$1" = x"--maybe-color"; then \
  999. maybe_colorize=yes; \
  1000. elif test x"$$1" = x"--no-color"; then \
  1001. maybe_colorize=no; \
  1002. else \
  1003. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  1004. fi; \
  1005. shift; \
  1006. desc=$$1 count=$$2; \
  1007. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  1008. color_start=$$3 color_end=$$std; \
  1009. else \
  1010. color_start= color_end=; \
  1011. fi; \
  1012. echo "$${color_start}# $$desc $$count$${color_end}"; \
  1013. }; \
  1014. create_testsuite_report () \
  1015. { \
  1016. result_count $$1 "TOTAL:" $$all "$$brg"; \
  1017. result_count $$1 "PASS: " $$pass "$$grn"; \
  1018. result_count $$1 "SKIP: " $$skip "$$blu"; \
  1019. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  1020. result_count $$1 "FAIL: " $$fail "$$red"; \
  1021. result_count $$1 "XPASS:" $$xpass "$$red"; \
  1022. result_count $$1 "ERROR:" $$error "$$mgn"; \
  1023. }; \
  1024. { \
  1025. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  1026. $(am__rst_title); \
  1027. create_testsuite_report --no-color; \
  1028. echo; \
  1029. echo ".. contents:: :depth: 2"; \
  1030. echo; \
  1031. for b in $$bases; do echo $$b; done \
  1032. | $(am__create_global_log); \
  1033. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  1034. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  1035. if $$success; then \
  1036. col="$$grn"; \
  1037. else \
  1038. col="$$red"; \
  1039. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  1040. fi; \
  1041. echo "$${col}$$br$${std}"; \
  1042. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  1043. echo "$${col}$$br$${std}"; \
  1044. create_testsuite_report --maybe-color; \
  1045. echo "$$col$$br$$std"; \
  1046. if $$success; then :; else \
  1047. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  1048. if test -n "$(PACKAGE_BUGREPORT)"; then \
  1049. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  1050. fi; \
  1051. echo "$$col$$br$$std"; \
  1052. fi; \
  1053. $$success || exit 1
  1054. check-TESTS: $(check_PROGRAMS) $(dist_check_SCRIPTS)
  1055. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  1056. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  1057. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1058. @set +e; $(am__set_TESTS_bases); \
  1059. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1060. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  1061. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  1062. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  1063. exit $$?;
  1064. recheck: all $(check_PROGRAMS) $(dist_check_SCRIPTS)
  1065. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1066. @set +e; $(am__set_TESTS_bases); \
  1067. bases=`for i in $$bases; do echo $$i; done \
  1068. | $(am__list_recheck_tests)` || exit 1; \
  1069. log_list=`for i in $$bases; do echo $$i.log; done`; \
  1070. log_list=`echo $$log_list`; \
  1071. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  1072. am__force_recheck=am--force-recheck \
  1073. TEST_LOGS="$$log_list"; \
  1074. exit $$?
  1075. tst-pam_timestamp.log: tst-pam_timestamp
  1076. @p='tst-pam_timestamp'; \
  1077. b='tst-pam_timestamp'; \
  1078. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1079. --log-file $$b.log --trs-file $$b.trs \
  1080. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1081. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1082. hmacfile.log: hmacfile$(EXEEXT)
  1083. @p='hmacfile$(EXEEXT)'; \
  1084. b='hmacfile'; \
  1085. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1086. --log-file $$b.log --trs-file $$b.trs \
  1087. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1088. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1089. .test.log:
  1090. @p='$<'; \
  1091. $(am__set_b); \
  1092. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1093. --log-file $$b.log --trs-file $$b.trs \
  1094. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1095. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1096. #.test$(EXEEXT).log:
  1097. # @p='$<'; \
  1098. # $(am__set_b); \
  1099. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1100. # --log-file $$b.log --trs-file $$b.trs \
  1101. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1102. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  1103. distdir: $(BUILT_SOURCES)
  1104. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1105. distdir-am: $(DISTFILES)
  1106. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1107. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1108. list='$(DISTFILES)'; \
  1109. dist_files=`for file in $$list; do echo $$file; done | \
  1110. sed -e "s|^$$srcdirstrip/||;t" \
  1111. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1112. case $$dist_files in \
  1113. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1114. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1115. sort -u` ;; \
  1116. esac; \
  1117. for file in $$dist_files; do \
  1118. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1119. if test -d $$d/$$file; then \
  1120. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1121. if test -d "$(distdir)/$$file"; then \
  1122. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1123. fi; \
  1124. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1125. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1126. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1127. fi; \
  1128. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1129. else \
  1130. test -f "$(distdir)/$$file" \
  1131. || cp -p $$d/$$file "$(distdir)/$$file" \
  1132. || exit 1; \
  1133. fi; \
  1134. done
  1135. check-am: all-am
  1136. $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) \
  1137. $(dist_check_SCRIPTS)
  1138. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1139. check: check-am
  1140. all-am: Makefile $(PROGRAMS) $(LTLIBRARIES) $(MANS) $(DATA) $(HEADERS)
  1141. installdirs:
  1142. for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  1143. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1144. done
  1145. install: install-am
  1146. install-exec: install-exec-am
  1147. install-data: install-data-am
  1148. uninstall: uninstall-am
  1149. install-am: all-am
  1150. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1151. installcheck: installcheck-am
  1152. install-strip:
  1153. if test -z '$(STRIP)'; then \
  1154. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1155. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1156. install; \
  1157. else \
  1158. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1159. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1160. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1161. fi
  1162. mostlyclean-generic:
  1163. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1164. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1165. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1166. clean-generic:
  1167. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1168. distclean-generic:
  1169. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1170. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1171. maintainer-clean-generic:
  1172. @echo "This command is intended for maintainers to use"
  1173. @echo "it deletes files that may require special tools to rebuild."
  1174. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1175. clean: clean-am
  1176. clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
  1177. clean-sbinPROGRAMS clean-securelibLTLIBRARIES mostlyclean-am
  1178. distclean: distclean-am
  1179. -rm -f ./$(DEPDIR)/hmac_openssl_wrapper.Po
  1180. -rm -f ./$(DEPDIR)/hmacfile.Po
  1181. -rm -f ./$(DEPDIR)/hmacsha1.Po
  1182. -rm -f ./$(DEPDIR)/pam_timestamp_check-pam_timestamp_check.Po
  1183. -rm -f ./$(DEPDIR)/pam_timestamp_la-hmac_openssl_wrapper.Plo
  1184. -rm -f ./$(DEPDIR)/pam_timestamp_la-hmacsha1.Plo
  1185. -rm -f ./$(DEPDIR)/pam_timestamp_la-pam_timestamp.Plo
  1186. -rm -f ./$(DEPDIR)/pam_timestamp_la-sha1.Plo
  1187. -rm -f ./$(DEPDIR)/sha1.Po
  1188. -rm -f Makefile
  1189. distclean-am: clean-am distclean-compile distclean-generic \
  1190. distclean-tags
  1191. dvi: dvi-am
  1192. dvi-am:
  1193. html: html-am
  1194. html-am:
  1195. info: info-am
  1196. info-am:
  1197. install-data-am: install-man install-securelibLTLIBRARIES
  1198. install-dvi: install-dvi-am
  1199. install-dvi-am:
  1200. install-exec-am: install-sbinPROGRAMS
  1201. install-html: install-html-am
  1202. install-html-am:
  1203. install-info: install-info-am
  1204. install-info-am:
  1205. install-man: install-man8
  1206. install-pdf: install-pdf-am
  1207. install-pdf-am:
  1208. install-ps: install-ps-am
  1209. install-ps-am:
  1210. installcheck-am:
  1211. maintainer-clean: maintainer-clean-am
  1212. -rm -f ./$(DEPDIR)/hmac_openssl_wrapper.Po
  1213. -rm -f ./$(DEPDIR)/hmacfile.Po
  1214. -rm -f ./$(DEPDIR)/hmacsha1.Po
  1215. -rm -f ./$(DEPDIR)/pam_timestamp_check-pam_timestamp_check.Po
  1216. -rm -f ./$(DEPDIR)/pam_timestamp_la-hmac_openssl_wrapper.Plo
  1217. -rm -f ./$(DEPDIR)/pam_timestamp_la-hmacsha1.Plo
  1218. -rm -f ./$(DEPDIR)/pam_timestamp_la-pam_timestamp.Plo
  1219. -rm -f ./$(DEPDIR)/pam_timestamp_la-sha1.Plo
  1220. -rm -f ./$(DEPDIR)/sha1.Po
  1221. -rm -f Makefile
  1222. maintainer-clean-am: distclean-am maintainer-clean-generic
  1223. mostlyclean: mostlyclean-am
  1224. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1225. mostlyclean-libtool
  1226. pdf: pdf-am
  1227. pdf-am:
  1228. ps: ps-am
  1229. ps-am:
  1230. uninstall-am: uninstall-man uninstall-sbinPROGRAMS \
  1231. uninstall-securelibLTLIBRARIES
  1232. uninstall-man: uninstall-man8
  1233. .MAKE: check-am install-am install-strip
  1234. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1235. check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
  1236. clean-sbinPROGRAMS clean-securelibLTLIBRARIES cscopelist-am \
  1237. ctags ctags-am distclean distclean-compile distclean-generic \
  1238. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1239. html-am info info-am install install-am install-data \
  1240. install-data-am install-dvi install-dvi-am install-exec \
  1241. install-exec-am install-html install-html-am install-info \
  1242. install-info-am install-man install-man8 install-pdf \
  1243. install-pdf-am install-ps install-ps-am install-sbinPROGRAMS \
  1244. install-securelibLTLIBRARIES install-strip installcheck \
  1245. installcheck-am installdirs maintainer-clean \
  1246. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1247. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1248. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1249. uninstall-man8 uninstall-sbinPROGRAMS \
  1250. uninstall-securelibLTLIBRARIES
  1251. .PRECIOUS: Makefile
  1252. #-include $(top_srcdir)/Make.xml.rules
  1253. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1254. # Otherwise a system limit (for SysV at least) may be exceeded.
  1255. .NOEXPORT: